UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

AR# 3306

4.1i Install - Install reports "java.lang.OutOfMemoryError", or any other GUI does not start under Solaris 2.7, 2.8

Description

Keywords: segmentation fault, GUI, core dump, Solaris 7, 2.6, 2.7, 2.8, LD_BREADTH, java.lang.OutOfMemoryError, Design Manager, Install, 3.1i

Urgency: Standard

General Description:
Install reports a "java.lang.OutOfMemoryError". Alternately, Design Manager, Xray, or any other GUI program does not start properly when invoked under Solaris 2.6, 2.7 or 2.8 OS.

解决方案

1

Solaris 2.6 and earlier revisions required the environment variable LD_BREADTH to be set in order to use Xilinx GUI applications. If you do not source the "settings.csh/ settings.sh" file that Xilinx provides in order to set your $Xilinx environment variable, it is possible that your script is still setting this variable.

The LD_BREADTH" variable should NOT be set on patched versions of 2.6, or any version of 2.7 or 2.8.

If you are not sure whether this variable is being set, type "$env|grep LD_BREADTH" at the command line.

To temporarily unset this variable, type:

unsetenv LD_BREADTH 1

If this solves your GUI issue, remember to remove this variable from the shell script that is setting it.

Solaris 2.7/2.8 is officially supported by 4.1i.

2

AR# 3306
创建日期 01/15/1998
Last Updated 08/26/2003
状态 Archive
Type 综合文章